/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface ITiporepeticao extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.tiporepeticao.tiprepid</code>.
     */
    public ITiporepeticao setTiprepid(Integer value);

    /**
     * Getter for <code>public.tiporepeticao.tiprepid</code>.
     */
    public Integer getTiprepid();

    /**
     * Setter for <code>public.tiporepeticao.tiprepnome</code>.
     */
    public ITiporepeticao setTiprepnome(String value);

    /**
     * Getter for <code>public.tiporepeticao.tiprepnome</code>.
     */
    public String getTiprepnome();

    /**
     * Setter for <code>public.tiporepeticao.tiprepdescricao</code>.
     */
    public ITiporepeticao setTiprepdescricao(String value);

    /**
     * Getter for <code>public.tiporepeticao.tiprepdescricao</code>.
     */
    public String getTiprepdescricao();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface ITiporepeticao
     */
    public void from(com.tabajara.base.tables.interfaces.ITiporepeticao from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface ITiporepeticao
     */
    public <E extends com.tabajara.base.tables.interfaces.ITiporepeticao> E into(E into);

    @Override
    public default ITiporepeticao fromJson(io.vertx.core.json.JsonObject json) {
        setTiprepid(json.getInteger("tiprepid"));
        setTiprepnome(json.getString("tiprepnome"));
        setTiprepdescricao(json.getString("tiprepdescricao"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("tiprepid",getTiprepid());
        json.put("tiprepnome",getTiprepnome());
        json.put("tiprepdescricao",getTiprepdescricao());
        return json;
    }

}
